• Post Reply Bookmark Topic Watch Topic
  • New Topic

JSE Application with JPA 2.1

 
Markus Schmider
Ranch Hand
Posts: 142
2
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello,

I am trying to build an JSE application with JPA using hibernate and maven.

pom dependencies.


persistence.xml in /src/main/resources/META-INF:


With that I get

Declaration of element "persistence" cannot be found

Any help would be greatly appreciated.
 
jack lumber
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hibernate-entitymanager version 4.0.1 implements JPA version 2.0 and not 2.1.
Try with hibernate 4.3.5.Final.
 
my overalls have superpowers - they repel people who think fashion is important. Tiny ad:
the new thread boost feature brings a LOT of attention to your favorite threads
https://coderanch.com/t/674455/Thread-Boost-feature
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!